<?php 

// Vérification des tentatives de hack
$pos=strpos($_SERVER['PHP_SELF'],"inc.php");
if ($pos===FALSE)
	$ok_inc=TRUE;
else
	$ok_inc=FALSE;
if ($ok_inc==FALSE) header("Location: ../index.php");

include_once("../inc/config.inc.php");
include_once("../inc/fic_age.inc.php");
include_once("../inc/fic_hum.inc.php");
include_once("../inc/fic_cli.inc.php");
include_once("../inc/fic_do.inc.php");
include_once("../inc/fic_mque.inc.php");
include_once("../inc/fic_st.inc.php");
include_once("../inc/fic_rel.inc.php");
include_once("../inc/fic_tec.inc.php");
include_once("../inc/fic_txt.inc.php");
include_once("../inc/func.inc.php");
include_once("../inc/func_date.inc.php");
include_once("../inc/func_log.inc.php");
include_once("../inc/func_geo.inc.php");
include_once("../inc/func_mail.inc.php");
include_once("../inc/func_txt.inc.php");
include_once("../inc/func_txtcm.inc.php");
include_once("../classes/phpmailer/class.phpmailer.php");
include_once("../inc/mail.inc.php");
Archivelog(@$_SESSION["code_log"]);

// Variables Formulaire
$titre = strip_tags(trim(@$_POST["titre"]));
$td = strip_tags(trim(@$_POST["td"]));

$coderel = str_majuscules(strip_tags(trim(@$_POST["coderel"])));
$code = str_majuscules(strip_tags(trim(@$_POST["code"])));
$daterel = datefrang(strip_tags(trim(@$_POST["daterelf"])));
if (strip_tags(trim(@$_POST["dateoutf"])) <> "")
	$dateout = datefrang(strip_tags(trim(@$_POST["dateoutf"])));
else
	$dateout = "";
$codecli = str_majuscules(strip_tags(trim(@$_POST["codecli"])));
$codeage = str_majuscules(strip_tags(trim(@$_POST["codeage"])));
$site = str_majuscules(strip_tags(trim(@$_POST["site"])));
$codetec = str_majuscules(strip_tags(trim(@$_POST["codetec"])));
$codecat = str_majuscules(strip_tags(trim(@$_POST["codecat"])));
$codema = str_majuscules(strip_tags(trim(@$_POST["codema"])));
$modele = str_majuscules(str_escape(trim(@$_POST["modele"])));
$ns = str_majuscules(str_escape(trim(@$_POST["ns"])));
$codeet = str_majuscules(strip_tags(trim(@$_POST["codeet"])));
$coderlic="";
if (count($_POST["rlic_choisi"]) <> 0)
{
	for ($i = 0; $i < count($_POST["rlic_choisi"]); $i++)
	{
		$coderlic .= $_POST["rlic_choisi"][$i]."-";
	}
}
if ($coderlic!="")
	$coderlic = substr($coderlic,0,strlen($coderlic)-1);
$empl= strip_tags(trim(@$_POST["empl"]));

$codep= strip_tags(trim(@$_POST["codep"]));
// Si le codage produit théorique n'a pas été changé, on incrémente la numérotation dans le dossier principal
// Sinon, on ne fait rien
$row = lit_enr_rel($coderel);
$num = $row["rel_num"]+1;
$rpdt_codep_calcule = $row["rel_rnum"].sprintf ("%'04s",$num);
if ($codep == $rpdt_codep_calcule)
{
	$conn = mysql_connect(DBHOST, DBUSER, DBPASS);
	mysql_select_db(DBNAME);
	$rech = "UPDATE `" .TBREL;
	$rech .= "` SET `rel_num`='".$num."'";
	$rs = mysql_query($rech) or die(mysql_error());
	mysql_close($conn);
}

if (strip_tags(trim(@$_POST["dateachf"])) <> "")
	$dateach = datefrang(strip_tags(trim(@$_POST["dateachf"])));
else
	$dateach = "";
if (strip_tags(trim(@$_POST["datefgarf"])) <> "")
	$datefgar = datefrang(strip_tags(trim(@$_POST["datefgarf"])));
else
	$datefgar = "";
$garsf= strip_tags(trim(@$_POST["gars"]));
if ($garsf == "Oui")
	$gars = TRUE;
else
	$gars = FALSE;
$propf= strip_tags(trim(@$_POST["prop"]));
if ($propf == "Oui")
	$prop = TRUE;
else
	$prop = FALSE;

$util= str_escape(trim(@$_POST["util"]));
$nomp= str_escape(trim(@$_POST["nomp"]));
$gt= str_escape(trim(@$_POST["gt"]));
$dom= str_escape(trim(@$_POST["dom"]));
$login= str_escape(trim(@$_POST["login"]));
$mdp= str_escape(trim(@$_POST["mdp"]));
$mac= strip_tags(trim(@$_POST["mac"]));
$modeip= strip_tags(trim(@$_POST["modeip"]));
$sdhcpf= strip_tags(trim(@$_POST["sdhcp"]));
if ($sdhcpf == "Oui")
	$sdhcp = TRUE;
else
	$sdhcp = FALSE;
$ip1= strip_tags(trim(@$_POST["ip1"]));
$ip2= strip_tags(trim(@$_POST["ip2"]));
$ip= strip_tags(trim(@$_POST["ip"]));
$mdhcp= strip_tags(trim(@$_POST["mdhcp"]));
$masq= strip_tags(trim(@$_POST["masq"]));
$pass= strip_tags(trim(@$_POST["pass"]));
$npm= strip_tags(trim(@$_POST["npm"]));
$npb= strip_tags(trim(@$_POST["npb"]));
$npc= strip_tags(trim(@$_POST["npc"]));
$snmpf= strip_tags(trim(@$_POST["snmp"]));
if ($snmpf == "Oui")
	$snmp = TRUE;
else
	$snmp = FALSE;
$wolf= strip_tags(trim(@$_POST["wol"]));
if ($wolf == "Oui")
	$wol = TRUE;
else
	$wol = FALSE;
$sid= str_escape(trim(@$_POST["sid"]));
$wep= str_escape(trim(@$_POST["wep"]));
$codeta = str_majuscules(strip_tags(trim(@$_POST["codeta"])));
$tma = str_majuscules(strip_tags(trim(@$_POST["tma"])));
$codel = str_majuscules(strip_tags(trim(@$_POST["codel"])));
$tserf= strip_tags(trim(@$_POST["tser"]));
if ($tserf == "Oui")
	$tser = TRUE;
else
	$tser = FALSE;
$tlien= str_escape(trim(@$_POST["tlien"]));
$tlogin= str_escape(trim(@$_POST["tlogin"]));
$tmdp= str_escape(trim(@$_POST["tmdp"]));
$taef= strip_tags(trim(@$_POST["tae"]));
if ($taef == "Oui")
	$tae = TRUE;
else
	$tae = FALSE;
$tredf= strip_tags(trim(@$_POST["tred"]));
if ($tredf == "Oui")
	$tred = TRUE;
else
	$tred = FALSE;
$codem = str_majuscules(strip_tags(trim(@$_POST["codem"])));
$mper = str_majuscules(strip_tags(trim(@$_POST["mper"])));
$mtype= str_escape(trim(@$_POST["mtype"]));
$mlogin= str_escape(trim(@$_POST["mlogin"]));
$mmdp= str_escape(trim(@$_POST["mmdp"]));
if (strip_tags(trim(@$_POST["mdvalf"])) <> "")
	$mdval = datefrang(strip_tags(trim(@$_POST["mdvalf"])));
else
	$mdval = "";
if (strip_tags(trim(@$_POST["mdlmajf"])) <> "")
	$mdlmaj = datefrang(strip_tags(trim(@$_POST["mdlmajf"])));
else
	$mdlmaj = "";
$maef= strip_tags(trim(@$_POST["mae"]));
if ($maef == "Oui")
	$mae = TRUE;
else
	$mae = FALSE;
$mredf= strip_tags(trim(@$_POST["mred"]));
if ($mredf == "Oui")
	$mred = TRUE;
else
	$mred = FALSE;

$nota = str_escape(trim(@$_POST["nota"]));
$signataire = str_escape(trim(@$_POST["signataire"]));

$codeuser = @$_SESSION["code_log"];

$retourliste = TRUE;

if (strip_tags(trim(@$_POST["enrimp"])) == "Enregistrer & Imprimer")
{
	$imprim = TRUE;
	$retourliste = FALSE;
}

switch ($td)
{
	// Ajout de la fiche Relevé Matériel
	case "add" :
		$coderm = crecode("RM");
	
		$conn = mysql_connect(DBHOST, DBUSER, DBPASS);
		mysql_select_db(DBNAME);
		$rech = "INSERT INTO " .TBRPDT;
		$rech.= " (rpdt_datecrea,rpdt_codecrea,rpdt_datemod,rpdt_codemod,rpdt_coderel,rpdt_code,rpdt_daterel,rpdt_codecli,rpdt_codeage,";
		$rech.= "rpdt_codetec,rpdt_codecat,rpdt_codema,rpdt_modele,rpdt_ns,rpdt_codeet,rpdt_coderlic,rpdt_empl,rpdt_codep,rpdt_util,rpdt_nomp,";
		$rech.= "rpdt_gt,rpdt_dom,rpdt_login,rpdt_mdp,rpdt_mac,rpdt_modeip,rpdt_sdhcp,rpdt_ip1,rpdt_ip2,rpdt_mdhcp,rpdt_ip,rpdt_masq,rpdt_pass,rpdt_npm,rpdt_npb,rpdt_npc,rpdt_snmp,rpdt_wol,rpdt_sid,rpdt_wep,";
		$rech.= "rpdt_codeta,rpdt_tma,rpdt_codel,rpdt_tser,rpdt_tlien,rpdt_tlogin,rpdt_tmdp,rpdt_tae,rpdt_tred,";
		$rech.= "rpdt_codem,rpdt_mmode,rpdt_mper,rpdt_mlogin,rpdt_mmdp,rpdt_mdval,rpdt_mdlmaj,rpdt_mae,rpdt_mred,";
		$rech .="rpdt_dateach,rpdt_fingar,rpdt_gars,rpdt_prop,rpdt_dateout,rpdt_nota,rpdt_signataire,rpdt_idsite)";
		$rech.= " VALUES";
		$rech.= " ('$datea','$codeuser','$datea','$codeuser','$coderel','$coderm','$daterel','$codecli','$codeage',";
		$rech.= "'$codetec','$codecat','$codema','$modele','$ns','$codeet','$coderlic','$empl','$codep','$util','$nomp',";
		$rech.= "'$gt','$dom','$login','$mdp','$mac','$modeip','$sdhcp','$ip1','$ip2','$mdhcp','$ip','$masq','$pass','$npm','$npb','$npc','$snmp','$wol','$sid','$wep',";
		$rech.= "'$codeta','$tma','$codel','$tser','$tlien','$tlogin','$tmdp','$tae','$tred',";
		$rech.= "'$codem','$mtype','$mper','$mlogin','$mmdp','$mdval','$mdlmaj','$mae','$mred',";
		$rech .="'$dateach','$datefgar','$gars','$prop','$dateout','$nota','$signataire','$site')";
		$rs = mysql_query($rech) or die(mysql_error());

		// Ajout des connexions
		$rech = "SELECT * FROM ".TBRPDT."  WHERE rpdt_code <> '".$coderm."' AND rpdt_dateout='0000-00-00'";
		$rech.= " AND rpdt_codecli='".$codecli."'";
		$rech.= " ORDER BY rpdt_code";
		$rs = mysql_query($rech) or die(mysql_error());
		if (mysql_num_rows($rs) > 0)
		{
			while ($row = mysql_fetch_assoc($rs)) 
			{         
				extract($row);
				$ctype=intval(str_escape(trim(@$_POST[$rpdt_code])));
				$rech2="";
				switch ($ctype)
				{
					// Pas de connexion
					case 0 :
						break;

					// Connecté sur
					case 1 :
						// Le matériel est 'connecté sur' le produit
						$rech2 = "INSERT INTO " .TBCNX;
						$rech2.= " (cnx_codecrea,cnx_datecrea,cnx_p1,cnx_p2,cnx_type)";
						$rech2.= " VALUES";
						$rech2.= " ('$codeuser','$datea','$rpdt_code','$coderm','2')";
						$rs2 = mysql_query($rech2) or die(mysql_error());
						// Le produit est 'contrôleur' du matériel
						$rech2 = "INSERT INTO " .TBCNX;
						$rech2.= " (cnx_codecrea,cnx_datecrea,cnx_p1,cnx_p2,cnx_type)";
						$rech2.= " VALUES";
						$rech2.= " ('$codeuser','$datea','$coderm','$rpdt_code','1')";
						$rs2 = mysql_query($rech2) or die(mysql_error());
						break;

					// Contrôleur de
					case 2 :
						// Le matériel est 'contrôleur' du produit
						$rech2 = "INSERT INTO " .TBCNX;
						$rech2.= " (cnx_codecrea,cnx_datecrea,cnx_p1,cnx_p2,cnx_type)";
						$rech2.= " VALUES";
						$rech2.= " ('$codeuser','$datea','$coderm','$rpdt_code','2')";
						$rs2 = mysql_query($rech2) or die(mysql_error());
						// Le produit est 'connecté sur' le matériel
						$rech2 = "INSERT INTO " .TBCNX;
						$rech2.= " (cnx_codecrea,cnx_datecrea,cnx_p1,cnx_p2,cnx_type)";
						$rech2.= " VALUES";
						$rech2.= " ('$codeuser','$datea','$rpdt_code','$coderm','1')";
						$rs2 = mysql_query($rech2) or die(mysql_error());
						break;

					// Relié à
					case 3 :
						// Le matériel et le produit sont reliés
						$rech2 = "INSERT INTO " .TBCNX;
						$rech2.= " (cnx_codecrea,cnx_datecrea,cnx_p1,cnx_p2,cnx_type)";
						$rech2.= " VALUES";
						$rech2.= " ('$codeuser','$datea','$coderm','$rpdt_code','3')";
						$rs2 = mysql_query($rech2) or die(mysql_error());
						break;
					default :
						break;
				}
			}
		}

		mysql_close($conn);
	
		$msg = "Fiche enregistrée";

		// Envoi d'email vers l'agence
		if (@$_SESSION["niv_log"] <> 4)
			envoi_mail("Ajout d'une fiche relevé matériel","rpdt","cre","xxx","age",$coderm,"","",FALSE);
		// Envoi d'email vers le centre de gestion
		envoi_mail("Ajout d'une fiche relevé matériel","rpdt","cre","xxx","cdg",$coderm,"","",TRUE);
		break;

	// MAJ de la fiche relevé Matériel
	case "edit" :
		$ok_maj = TRUE;
		
		if ($dateout <> "")
		{
			$exist_rpdt_in_rpbm_actif = exist_rpdt_in_rpbm_actif($code);
			if ($exist_rpdt_in_rpbm_actif == TRUE)
			{
				$ok_maj = FALSE;
				$retourliste = FALSE;
				if ($msg == "")
					$msg = "Cette fiche contient des problèmes déclarés et non solutionnés.<br>Supprimez la (les) déclaration(s) de problème concernée(s).";
				else
					$msg .= "<br><br>Cette fiche contient des problèmes déclarés et non solutionnés.<br>Supprimez la (les) déclaration(s) de problème concernée(s).";
			}
		}
		
		if ($ok_maj == TRUE)
		{
			// MAJ de la fiche relevé Matériel
			$conn = mysql_connect(DBHOST, DBUSER, DBPASS);
			mysql_select_db(DBNAME);
			$rech = "UPDATE `" .TBRPDT;
			$rech .= "` SET `rpdt_datemod`='".$datea."', `rpdt_codemod`='".$codeuser."', `rpdt_coderel`='".$coderel."', `rpdt_code`='".$code."',";
			$rech .= " `rpdt_daterel`='".$daterel."', `rpdt_codecli`='".$codecli."', `rpdt_codeage`='".$codeage."', `rpdt_codetec`='".$codetec."',";
			$rech .= " `rpdt_codecat`='".$codecat."',`rpdt_codema`='".$codema."', `rpdt_modele`='".$modele."', `rpdt_ns`='".$ns."',";
			$rech .=" `rpdt_codeet`='".$codeet."', `rpdt_coderlic`='".$coderlic."', `rpdt_empl`='".$empl."',`rpdt_codep`='".$codep."',";
			$rech .=" `rpdt_util`='".$util."', `rpdt_nomp`='".$nomp."', `rpdt_gt`='".$gt."', `rpdt_dom`='".$dom."', `rpdt_login`='".$login."',";
			$rech .=" `rpdt_mdp`='".$mdp."', `rpdt_mac`='".$mac."', `rpdt_modeip`='".$modeip."', `rpdt_sdhcp`='".$sdhcp."',";
			$rech .=" `rpdt_ip1`='".$ip1."', `rpdt_ip2`='".$ip2."', `rpdt_mdhcp`='".$mdhcp."', `rpdt_ip`='".$ip."', `rpdt_masq`='".$masq."', `rpdt_pass`='".$pass."',";
			$rech .=" `rpdt_npm`='".$npm."',`rpdt_npb`='".$npb."',`rpdt_npc`='".$npc."',`rpdt_snmp`='".$snmp."',`rpdt_wol`='".$wol."',`rpdt_sid`='".$sid."',";
			$rech .=" `rpdt_wep`='".$wep."', `rpdt_codeta`='".$codeta."', `rpdt_tma`='".$tma."', `rpdt_codel`='".$codel."',`rpdt_tser`='".$tser."', `rpdt_tlien`='".$tlien."',";
			$rech .=" `rpdt_tlogin`='".$tlogin."', `rpdt_tmdp`='".$tmdp."', `rpdt_tae`='".$tae."', `rpdt_tred`='".$tred."',";
			$rech .=" `rpdt_codem`='".$codem."', `rpdt_mmode`='".$mtype."', `rpdt_mper`='".$mper."', `rpdt_mlogin`='".$mlogin."', `rpdt_mmdp`='".$mmdp."',";
			$rech .=" `rpdt_mdval`='".$mdval."', `rpdt_mdlmaj`='".$mdlmaj."', `rpdt_mae`='".$mae."', `rpdt_mred`='".$mred."',";
			$rech .=" `rpdt_dateach`='".$dateach."', `rpdt_fingar`='".$datefgar."', `rpdt_gars`='".$gars."', `rpdt_prop`='".$prop."',";
			$rech .=" `rpdt_dateout`='".$dateout."', `rpdt_nota`='".$nota."', `rpdt_signataire`='".$signataire."', `rpdt_idsite`='".$site."'";
			$rech .=" WHERE `rpdt_code` = '".$code."'";
			$rs = mysql_query($rech) or die(mysql_error());

			// Suppression des anciennes connexions
			$rech = "DELETE FROM ".TBCNX."  WHERE cnx_p1 = '".$code."' OR cnx_p2 = '".$code."'";
			$rs = mysql_query($rech) or die(mysql_error());

			// On recrée les connexions
			$rech = "SELECT * FROM ".TBRPDT."  WHERE rpdt_code <> '".$code."' AND rpdt_dateout='0000-00-00'";
			$rech.= " AND rpdt_codecli='".$codecli."'";
			$rech.= " ORDER BY rpdt_code";
			$rs = mysql_query($rech) or die(mysql_error());
			if (mysql_num_rows($rs) > 0)
			{
				while ($row = mysql_fetch_assoc($rs)) 
				{         
					extract($row);
					$ctype=intval(str_escape(trim(@$_POST[$rpdt_code])));
					$rech2="";
					switch ($ctype)
					{
						// Pas de connexion
						case 0 :
							break;
	
						// Connecté sur
						case 1 :
							// Le matériel est 'connecté sur' le produit
							$rech2 = "INSERT INTO " .TBCNX;
							$rech2.= " (cnx_codecrea,cnx_datecrea,cnx_p1,cnx_p2,cnx_type)";
							$rech2.= " VALUES";
							$rech2.= " ('$codeuser','$datea','$rpdt_code','$code','2')";
							$rs2 = mysql_query($rech2) or die(mysql_error());
							// Le produit est 'contrôleur' du matériel
							$rech2 = "INSERT INTO " .TBCNX;
							$rech2.= " (cnx_codecrea,cnx_datecrea,cnx_p1,cnx_p2,cnx_type)";
							$rech2.= " VALUES";
							$rech2.= " ('$codeuser','$datea','$code','$rpdt_code','1')";
							$rs2 = mysql_query($rech2) or die(mysql_error());
							break;
	
						// Contrôleur de
						case 2 :
							// Le matériel est 'contrôleur' du produit
							$rech2 = "INSERT INTO " .TBCNX;
							$rech2.= " (cnx_codecrea,cnx_datecrea,cnx_p1,cnx_p2,cnx_type)";
							$rech2.= " VALUES";
							$rech2.= " ('$codeuser','$datea','$code','$rpdt_code','2')";
							$rs2 = mysql_query($rech2) or die(mysql_error());
							// Le produit est 'connecté sur' le matériel
							$rech2 = "INSERT INTO " .TBCNX;
							$rech2.= " (cnx_codecrea,cnx_datecrea,cnx_p1,cnx_p2,cnx_type)";
							$rech2.= " VALUES";
							$rech2.= " ('$codeuser','$datea','$rpdt_code','$code','1')";
							$rs2 = mysql_query($rech2) or die(mysql_error());
							break;
	
						// Installé dans
						case 3 :
							// Le matériel est 'installé dans' le produit
							$rech2 = "INSERT INTO " .TBCNX;
							$rech2.= " (cnx_codecrea,cnx_datecrea,cnx_p1,cnx_p2,cnx_type)";
							$rech2.= " VALUES";
							$rech2.= " ('$codeuser','$datea','$rpdt_code','$code','4')";
							$rs2 = mysql_query($rech2) or die(mysql_error());
							// Le produit est 'conteneur' du matériel
							$rech2 = "INSERT INTO " .TBCNX;
							$rech2.= " (cnx_codecrea,cnx_datecrea,cnx_p1,cnx_p2,cnx_type)";
							$rech2.= " VALUES";
							$rech2.= " ('$codeuser','$datea','$code','$rpdt_code','3')";
							$rs2 = mysql_query($rech2) or die(mysql_error());
							break;
	
						// Conteneur de
						case 4 :
							// Le produit est 'conteneur' du matériel
							$rech2 = "INSERT INTO " .TBCNX;
							$rech2.= " (cnx_codecrea,cnx_datecrea,cnx_p1,cnx_p2,cnx_type)";
							$rech2.= " VALUES";
							$rech2.= " ('$codeuser','$datea','$code','$rpdt_code','4')";
							$rs2 = mysql_query($rech2) or die(mysql_error());
							// Le matériel est 'installé dans' le matériel
							$rech2 = "INSERT INTO " .TBCNX;
							$rech2.= " (cnx_codecrea,cnx_datecrea,cnx_p1,cnx_p2,cnx_type)";
							$rech2.= " VALUES";
							$rech2.= " ('$codeuser','$datea','$rpdt_code','$code','3')";
							$rs2 = mysql_query($rech2) or die(mysql_error());
							break;
	
						// Relié à
						case 5 :
							// Le matériel et le produit sont reliés (dans les 2 sens)
							$rech2 = "INSERT INTO " .TBCNX;
							$rech2.= " (cnx_codecrea,cnx_datecrea,cnx_p1,cnx_p2,cnx_type)";
							$rech2.= " VALUES";
							$rech2.= " ('$codeuser','$datea','$code','$rpdt_code','5')";
							$rs2 = mysql_query($rech2) or die(mysql_error());
							break;
						default :
							break;
					}
				}
			}

			mysql_close($conn);
	
			$msg = "Fiche modifiée";
	
			// Envoi d'email vers l'agence
			if (@$_SESSION["niv_log"] <> 4)
				envoi_mail("Modification d'une fiche relevé matériel","rpdt","mod","xxx","age",$code,"","",FALSE);
			// Envoi d'email vers le centre de gestion
			envoi_mail("Modification d'une fiche relevé matériel","rpdt","mod","xxx","cdg",$code,"","",TRUE);
		}
		break;
		
	// Suppression de la fiche Relevé Matériel
	case "del" :
		if (exist_rpdt_in_rpbm($code)==TRUE)
		{
			$retourliste = FALSE;
			$msg = "Impossible de supprimer un relevé de matériel utilisé dans une déclaration de problème.<br>Choisissez plutôt de le sortir du parc...ou supprimez la déclaration de problème.";
		}
		else		
		{
			// SUPPRESSION de la fiche Relevé Matériel
			$conn = mysql_connect(DBHOST, DBUSER, DBPASS);
			mysql_select_db(DBNAME);
			$rech = "DELETE FROM `" .TBRPDT. "` WHERE `rpdt_code` = '$code'";
			$rs = mysql_query($rech) or die(mysql_error());

			// Suppression des anciennes connexions
			$rech = "DELETE FROM ".TBCNX."  WHERE cnx_p1 = '".$code."' OR cnx_p2 = '".$code."'";
			$rs = mysql_query($rech) or die(mysql_error());

			mysql_close($conn);
			$msg = "Fiche supprimée";
		}
		break;
		
	default :
		break;
}
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html><head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<title>SMI - ESPACE PRIVE : Fiche Relev&eacute; Mat&eacute;riel</title>

<!-- Feuille de style pour les affichages courants -->
<link href="../css/smi.css" rel="stylesheet" type="text/css">

<!-- Feuille de style & Script pour le menu -->

<script language="JavaScript" src="../jscript/coolmenus/coolmenus4.js"></script>

<!-- Scripts Javascript pour fenêtres -->
<script language="JavaScript" src="../jscript/fen.js"></script>



</head>
</body>
<?php 
include_once("entete.inc.php"); 
?>
<p align="center"><span class="titrepage"><?PHP echo $titre ?></span></p>
<p align="center">&nbsp;</p>
<p align="center" class="annot_gras_it"><?PHP echo $msg ?></p>
<?PHP if ($retourliste == FALSE) 
{ 
?>
<br>
<br>
	<table width="100%"  border="0">
	  <tr>
		<td width="3%">&nbsp;</td>
		<td width="44%"><div align="right"><a href="rel_maj.php?td=edit&cr=<?PHP echo $coderel; ?>"><img src="../img/liste.gif" width="33" height="34" border="0" align="absmiddle"></a> <a href="rel_maj.php?td=edit&cr=<?PHP echo $rpdt_coderel; ?>" class="annot_gras_it">Retour au dossier de relev&eacute;</a></div></td>
		<td width="7%">&nbsp;</td>
		<td width="43%"><a href="index.php"><em><img src="../img/index.gif" width="48" height="48" border="0" align="absmiddle"> </em><span class="annot_gras_it">Revenir &agrave; l'accueil</span> </a></td>
		<td width="3%">&nbsp;</td>
	  </tr>
	</table>
<?PHP 
} 
else 
{
?>
	<script type="text/javascript">
	window.setTimeout("location=('rel_maj.php?td=edit&cr=<?PHP echo $coderel; ?>');",2000)
	</script>
	<p align="center" class="annot_std_it">Retour au dossier de relev&eacute; dans 2 secondes...</p>
    <?PHP
}
include_once("pied.php");
?>
